      subroutine TestMolString(StMol,KeyWild,KeySym,ErrString)
      include 'fepc.cmn'
      include 'basic.cmn'
      character*(*) StMol,ErrString
      character*80  p80
      ErrString=' '
      if(StMol.eq.' ') go to 9000
      k=1
500   if(StMol(k:k).eq.' ') then
        k=k+1
        go to 500
      endif
      StMol=StMol(k:)
      k=0
1000  kp=k+1
      call kus(StMol,k,p80)
      call Uprat(p80)
      kk=idel(p80)
      StMol(kp:kp+kk-1)=p80(1:kk)
      if(KeyWild.eq.0.and.(index(p80,'*').ne.0.or.index(p80,'?').ne.0))
     1    then
        ErrString='"'//p80(1:idel(p80))//
     1            '" wild character not applicable.'
        go to 9999
      endif
      n=0
      m=0
      do i=1,kk
        if(p80(i:i).eq.'#') then
          n=n+1
          m=kk
        endif
      enddo
      if(n.eq.1) m=kk
      if(KeySym.eq.0.and.n.gt.1) then
        ErrString='"'//p80(1:idel(p80))//
     1            '" molecule generated by symmetry not applicable.'
        go to 9999
      endif
      i=0
1100  j=ktatmv(p80(1:m),0,0)
      if(j.eq.0) then
        if(i.eq.0) then
          ErrString='The string "'//p80(1:idel(p80))//
     1              '" doesn''t define any molecule.'
          go to 9999
        endif
      else
        if(j.lt.0) i=i+1
        go to 1100
      endif
      if(k.lt.len(StMol)) go to 1000
9000  ich=0
9999  return
      end
